Skip to Content
Hey Town Hall Data docs
Posts

API reference · Posts

Retrieve a job

View as Markdown
GET
/v1/jobs/{id}

One job posting with its headed sections. Billed as one records request.

Authorization

bearerAuth
headerAuthorizationBearer <token>

htd_test_ (sandbox, free, fictional towns) or htd_live_ (live, billed) key.

Path Parameters

id*string
Match^[0-9]{1,18}$

Response Body

The record.

application/json
  1. response
id*string
jurisdiction_id*string
country*string|null
region*string|null
title*string
summary*string|null
location*string|null
published_at*|

ISO 8601 instant, UTC.

closes_at*|

ISO 8601 instant, UTC.

status*string|null
employment_type*string|null
union_status*string|null
work_kind*string|null
pay*|

As printed.

hours*string|null
work_location*string|null
page_read*boolean
source_url*|

The page, document, video or platform the record was read from.

read_at*|

When it was read.

sections*array<>
environment*string
Value in"sandbox""live"
Example Request
curl -X GET 'https://data.heytownhall.com/v1/jobs/string'
Example Response
{  "id": "string",  "jurisdiction_id": "string",  "country": "string",  "region": "string",  "title": "string",  "summary": "string",  "location": "string",  "published_at": "string",  "closes_at": "string",  "status": "string",  "employment_type": "string",  "union_status": "string",  "work_kind": "string",  "pay": "string",  "hours": "string",  "work_location": "string",  "page_read": true,  "source_url": "string",  "read_at": "string",  "sections": [    {      "ord": 0,      "role": "string",      "heading": "string",      "body": "string"    }  ],  "environment": "sandbox"}